Subject: bug#13333: 24.3.50; (emacs) `Minibuffer History'

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 23 Aug 2021 16:41:22 +0200

Juri Linkov <[email-masked]> writes:

>>  You can think of this as moving through the "future history" list.
>
> "future history" is a misnomer.
>
>> There is no logical connection between the set of default values
>
> "default values" is a misnomer.
>
> There can be only one default value that it used when the user enters
> empty input in the minibuffer.  Other values are not "defaults".
>
> In most applications similar functionality is called "suggestions"
> where a drop-down list of suggestions is displayed while the user
> types a query into a text box.  This feature is documented at
> http://en.wikipedia.org/wiki/Search_suggest_drop-down_list
>
> Thus I propose to enhance the documentation by replacing the term
> DEFAULTS with (DEFAULT . SUGGESTIONS) where DEFAULT will retain
> its original meaning of the value returned for empty input
> and SUGGESTIONS is a list of suggestions available via `M-n'.

I think this sounds like a good idea.  "Future history" is cute and all,
but it's not really helpful as a term -- especially when "suggestions"
is as clear as it is.

Anybody with any comments here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no